//=============================================================================
// WoodCrateSmall.
//=============================================================================
class WoodCrateSmall extends Containers;

enum ESkinColor
{
	SC_DarkWood,
	SC_LightWood,
	SC_OldWood,
	SC_Metalized

};

var() ESkinColor SkinColor;

function BeginPlay()
{
	Super.BeginPlay();

	switch (SkinColor)
	{
		case SC_DarkWood:	Skin = Texture'WoodCrateSmallTex1'; break;
		case SC_LightWood:	Skin = Texture'WoodCrateSmallTex2'; break;
		case SC_OldWood:	Skin = Texture'WoodCrateSmallTex3'; break;
		case SC_Metalized:	Skin = Texture'WoodCrateSmallTex4'; break;
	}
}

defaultproperties
{
     HitPoints=15
     FragType=Class'DeusEx.WoodFragment'
     ItemName="WoodCrate"
     bBlockSight=True
     Mesh=LodMesh'Endemia.WoodCrateSmall'
     CollisionRadius=34.000000
     CollisionHeight=24.000000
     Mass=60.000000
     Buoyancy=70.000000
}
